C
      SUBROUTINE BES01D(WN,CR,SR,BJ0,BJ1,BJD,BJR)
C
      IMPLICIT REAL*8(A-H,O-Z)
      DIMENSION BJ0(0:2),BJ1(0:2),BJD(0:2),BJR(0:2)
      COMMON /FDAT/ OM,NL,RR
C
      RK=WN*RR
      RX=-CR
      RY=-SR
C
      BJ0(0)= BESJ0(RK)
      BJ1(0)= BESJ1(RK)
      BJR(0)= BJ1(0)/RK
      BJD(0)= BJ0(0)-BJR(0)
C
      BJ0(1)=-BJ1(0)*WN*RX
      BJ0(2)=-BJ1(0)*WN*RY
      BJ1(1)= BJD(0)*WN*RX
      BJ1(2)= BJD(0)*WN*RY
C
      BJR(1)=(BJ1(1)-BJ1(0)*RX/RR)/RK
      BJR(2)=(BJ1(2)-BJ1(0)*RY/RR)/RK
      BJD(1)= BJ0(1)-BJR(1)
      BJD(2)= BJ0(2)-BJR(2)
C
      RETURN
C
      END
